Packagist-备份
=========
关于Composer的包存储库网站，请参见[packagist.org](https://packagist.org/)上的[about](https://packagist.org/about)页面。

**这个项目不是为了重复使用.**

它是开源的，可以很容易地做出贡献。如果您要自己运行，我们将不提供任何支持，并且会进行重大更改，恕不另行通知.

如果您想托管自己的软件包，请查看 [Private Packagist](https://packagist.com/) .

发展历程
------------

提供这些步骤仅出于开发目的.

### 要求

- **PHP** Web应用程序
- **[Symfony CLI](https://symfony.com/download)** 运行Web服务器
- **MySQL** 用于主数据存储
- **Redis** 用于某些功能（收藏夹，下载统计信息）
- **git / svn / hg** 用于要支持的存储库

### 安装

1. 克隆存储库
2. 创建2个数据库:
    - `packagist` - 用于Web应用
    - `packagist_test` - 用于运行测试
3. 安装依赖项:
   ```bash
   composer install
   ```
   在首次安装时，composer安装将提示您输入数据库连接详细信息.
4. 设置数据库:
   ```bash
   app/console doctrine:schema:create
   ```
5. 启动Web服务器:
   ```bash
   symfony serve
   ```
6. 运行CRON作业 `app/console packagist:run-workers` 以确保软件包更新.

您现在应该可以访问该网站，创建用户等.
